Bug 1159211 - snapshot support not re-checked once detected as not supported
Summary: snapshot support not re-checked once detected as not supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Linux
medium
high
Target Milestone: ---
: 3.5.1
Assignee: Francesco Romani
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
: 1158974 (view as bug list)
Depends On:
Blocks: oVirt_3.5.1_tracker
TreeView+ depends on / blocked
 
Reported: 2014-10-31 08:46 UTC by Michal Skrivanek
Modified: 2016-02-10 19:48 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1149460
Environment:
Last Closed: 2015-01-21 16:04:58 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34673 master MERGED core: assume live snapshot supported as default Never
oVirt gerrit 34742 ovirt-engine-3.5 MERGED core: assume live snapshot supported as default Never

Description Michal Skrivanek 2014-10-31 08:46:07 UTC
+++ This bug was initially created as a clone of Bug #1149460 +++

...

--- Additional comment from Scott Worthington on 2014-10-30 14:50:32 CET ---

I have upgraded from EL 6.5 to 6.6 and installed the latest libvirt.

I am current with the the ovirt-3.5 repo (not nightly).

# virsh -r capabilities | grep -i snapshot
<returns nothing>

# rpm -qa | grep libvirt
libvirt-0.10.2-46.el6_6.1.x86_64
libvirt-python-0.10.2-46.el6_6.1.x86_64
libvirt-client-0.10.2-46.el6_6.1.x86_64
libvirt-lock-sanlock-0.10.2-46.el6_6.1.x86_64

Linux 2.6.32-504.el6.x86_64 x86_64 x86_64 x86_64 GNU/Linux

# Yet, oVirt 3.5.0 still reports 
Live Snapshot Support: Inactive

My packages:
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64
vdsm-4.16.7-1.gitdb83943.el6.x86_64
libvirt-0.10.2-46.el6_6.1.x86_64
sanlock-2.8-1.el6.x86_64

In comment #24, Nikolai has components from 3.5 Nightly.  Should we be using components from 3.5 Nightly or will packages be ported back into the ovirt-3.5 repo?

--- Additional comment from Michal Skrivanek on 2014-10-30 14:54:13 CET ---

(In reply to Scott Worthington from comment #27)
>  Should we be using
> components from 3.5 Nightly or will packages be ported back into the
> ovirt-3.5 repo?

no, you don't need any cheange/update on engine side, just the libvirt pkg. Which looks ok
Just to be sure, did you restart vdsm and engine after the update?
Also, regardless what is says - does it actually work? (it should:-)

--- Additional comment from Scott Worthington on 2014-10-30 15:02:02 CET ---

To comment 28: Yes --> I put the machine in maintenance, upgraded the packages, rebooted the VM host, and activated the machine.  The UI still stated that Snapshot Support was Inactive.  I put the machine back into maintenance and clicked on "Reinstall" and then re-activated the machine.  The UI still stated that Snapshot Support was Inactive.

Next, I migrated a VM guest to the EL 6.6 host, and then attempted to create a snapshot from the 3.5.0 engine interface.

UI Responds
Error while executing action:
  Cannot create Snapshot. Operation not supported by QEMU.

--- Additional comment from Scott Worthington on 2014-10-30 15:05:22 CET ---

On both EL 6.6 and 6.5 KVM hosts, I ran
# vdsClient -s 0 getVdsCaps | grep -i snapshot
# virsh -r capabilities | grep -i snapshot

And they both return nothing.

--- Additional comment from Scott Worthington on 2014-10-30 15:35:33 CET ---

To comment #28 about restarting the engine --> My oVirt 3.5.0 engine is on bare metal.  Rebooting the machine hosting the oVirt 3.5.0 engine does not change the status of the EL 6.6 KVM host --> Live Snapshot status still says "Inactive".

--- Additional comment from Francesco Romani on 2014-10-30 16:07:44 CET ---

(In reply to Scott Worthington from comment #31)
> To comment #28 about restarting the engine --> My oVirt 3.5.0 engine is on
> bare metal.  Rebooting the machine hosting the oVirt 3.5.0 engine does not
> change the status of the EL 6.6 KVM host --> Live Snapshot status still says
> "Inactive".

Unfortunately looks you hit a related bug.
If VDSM reports live snapshot inactive and after that nothing more, the Engine doesn't update its data structures and still reports the state as Inactive.

Fix is underway.

Meantime, you can alter the DB table like this

update vds_dynamic set is_live_snapshot_support=true ...

for each of your affected hosts (I guess all of them).

Make sure you do this with Engine shut off.

--- Additional comment from Francesco Romani on 2014-10-30 16:29:01 CET ---

master patch: http://gerrit.ovirt.org/#/c/34673/

Comment 1 Michal Skrivanek 2014-10-31 08:48:51 UTC
worth a backport to oVirt 3.5.1

Comment 2 Francesco Romani 2014-11-03 07:31:44 UTC
*** Bug 1158974 has been marked as a duplicate of this bug. ***

Comment 3 Sandro Bonazzola 2015-01-15 14:14:37 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 4 Sandro Bonazzola 2015-01-21 16:04:58 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.